org.eclipse.ecf.core.sharedobject

## Class TransactionSharedObjectConfiguration

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.TransactionSharedObjectConfiguration

All Implemented Interfaces:
  ISharedObjectTransactionConfig

    public class TransactionSharedObjectConfiguration
    extends Object
    implements ISharedObjectTransactionConfig

Configuration parameters for transaction shared object creation and replication.

### Field Summary

Fields
`protected ISharedObjectTransactionParticipantsFilter` `participantsFilter`
`protected int` `timeout`

### Fields inherited from interface org.eclipse.ecf.core.sharedobject.ISharedObjectTransactionConfig

`DEFAULT_TIMEOUT`

### Constructor Summary

Constructors
Constructor and Description
`TransactionSharedObjectConfiguration()`
`TransactionSharedObjectConfiguration(int timeout)`
`TransactionSharedObjectConfiguration(int timeout, ISharedObjectTransactionParticipantsFilter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISharedObjectTransactionParticipantsFilter` `getParticipantsFilter()` Called by transaction implementation to specify filter for determining transaction participants
`int` `getTimeout()` Called by transaction implementation to specify transaction timeout

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timeout

    protected int timeout

#### participantsFilter

    protected ISharedObjectTransactionParticipantsFilter participantsFilter

### Constructor Detail

#### TransactionSharedObjectConfiguration

    public TransactionSharedObjectConfiguration()

#### TransactionSharedObjectConfiguration

    public TransactionSharedObjectConfiguration(int timeout)

#### TransactionSharedObjectConfiguration

    public TransactionSharedObjectConfiguration(int timeout,
                                                ISharedObjectTransactionParticipantsFilter filter)

### Method Detail

#### getTimeout

    public int getTimeout()

Description copied from interface: `ISharedObjectTransactionConfig`
Called by transaction implementation to specify transaction timeout

Specified by:
  `getTimeout` in interface `ISharedObjectTransactionConfig`

#### getParticipantsFilter

    public ISharedObjectTransactionParticipantsFilter getParticipantsFilter()

Description copied from interface: `ISharedObjectTransactionConfig`
Called by transaction implementation to specify filter for determining transaction participants

Specified by:
  `getParticipantsFilter` in interface `ISharedObjectTransactionConfig`
Returns:
  `ISharedObjectTransactionParticipantsFilter`. If this method returns a non-null instance, that instance's `ISharedObjectTransactionParticipantsFilter.filterParticipants(org.eclipse.ecf.core.identity.ID[])` method will be called